package com.zd.laboratory.service;

import java.util.List;
import com.zd.laboratory.domain.LabMessageDynamic;

/**
 * 【请填写功能名称】Service接口
 *
 * @author zd
 * @date 2022-03-21
 */
public interface ILabMessageDynamicService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public LabMessageDynamic selectLabMessageDynamicById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param labMessageDynamic 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<LabMessageDynamic> selectLabMessageDynamicList(LabMessageDynamic labMessageDynamic);

    /**
     * 新增【请填写功能名称】
     *
     * @param labMessageDynamic 【请填写功能名称】
     * @return 结果
     */
    public int insertLabMessageDynamic(LabMessageDynamic labMessageDynamic);

    /**
     * 新增【请填写功能名称】
     *
     * @param labMessageDynamic 【请填写功能名称】
     * @return 结果
     */
    public int insertLabMessageDynamicByTask(LabMessageDynamic labMessageDynamic);

    /**
     * 修改【请填写功能名称】
     *
     * @param labMessageDynamic 【请填写功能名称】
     * @return 结果
     */
    public int updateLabMessageDynamic(LabMessageDynamic labMessageDynamic);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteLabMessageDynamicByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteLabMessageDynamicById(Long id);

    int addMessageAndUser(LabMessageDynamic labMessageDynamic);
}
